Subject: Re: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is documented to do so.

From: Jim Meyering <[email-masked]>
Date: Sat, 08 Sep 2012 09:09:16 +0200

Linda Walsh wrote:
> I proposed adding a ENV var that would need to be specified to get
> the new behavior.   Thus it *would not* be changing default behavior.
>
> Does everyone get that... as that's been offered as a an acceptable
> compromise.

We will not be adding new behavior that is enabled by an environment
variable.  I explained a similar refusal for sort.c just two weeks ago:

    https://lists.gnu.org/archive/html/coreutils/2012-08/msg00172.html

  > ... we have a strong aversion to adding
  > support for new environment variables in coreutils programs
  > because it makes formerly-robust usage prone to malfunction or abuse.